Halaman ini menunjukkan cara menyelesaikan masalah pada Cloud Location Finder.
API menampilkan error 403
Masalah berikut terjadi saat:
Cloud Location Finder tidak diaktifkan di project Anda
{
"error": {
"code": 403,
"message": "Cloud Location Finder API has not been used in project PROJECT_ID before or it is disabled. Enable it by visiting https://console.developers.google.com/apis/api/cloudlocationfinder.googleapis.com/overview?project=PROJECT_ID then retry. If you enabled this API recently, wait a few minutes for the action to propagate to our systems and retry.",
"status": "PERMISSION_DENIED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "SERVICE_DISABLED",
"domain": "googleapis.com",
"metadata": {
"activationUrl": "https://console.developers.google.com/apis/api/cloudlocationfinder.googleapis.com/overview?project=PROJECT_ID",
"serviceTitle": "Cloud Location Finder API",
"service": "cloudlocationfinder.googleapis.com",
"containerInfo": "PROJECT_ID",
"consumer": "projects/PROJECT_ID"
}
},
{
"@type": "type.googleapis.com/google.rpc.LocalizedMessage",
"locale": "en-US",
"message": "Cloud Location Finder API has not been used in project PROJECT_ID before or it is disabled. Enable it by visiting https://console.developers.google.com/apis/api/cloudlocationfinder.googleapis.com/overview?project=PROJECT_ID then retry. If you enabled this API recently, wait a few minutes for the action to propagate to our systems and retry."
},
{
"@type": "type.googleapis.com/google.rpc.Help",
"links": [
{
"description": "Google developers console API activation",
"url": "https://console.developers.google.com/apis/api/cloudlocationfinder.googleapis.com/overview?project=PROJECT_ID"
}
]
}
]
}
}
Untuk mengatasi masalah ini, aktifkan Cloud Location Finder API di project Anda. Untuk mengetahui petunjuknya, lihat Panduan memulai.
Anda tidak memiliki izin untuk resource
{
"error": {
"code": 403,
"message": "Permission 'cloudlocationfinder.cloudLocations.list' denied on resource '//cloudlocationfinder.googleapis.com/projects/PROJECT_ID/locations/global' (or it may not exist).",
"status": "PERMISSION_DENIED",
"details": [
{
"@type": "type.googleapis.com/google.rpc.ErrorInfo",
"reason": "IAM_PERMISSION_DENIED",
"domain": "cloudlocationfinder.googleapis.com",
"metadata": {
"resource": "projects/PROJECT_ID/locations/global",
"permission": "cloudlocationfinder.cloudLocations.list"
}
}
]
}
}
Untuk mengatasi masalah ini, tambahkan peran cloudlocationfinder.viewer ke project dengan resource yang ingin Anda referensikan dalam kueri. Untuk mengetahui petunjuknya, lihat
Panduan memulai.
API menampilkan error 400
Masalah berikut terjadi saat kueri tidak valid:
$ curl -H "Authorization: Bearer $(gcloud auth print-access-token)" 'https://cloudlocationfinder.googleapis.com/v1/projects/PROJECT_ID/locations/global/cloudLocations?filter=cloud_location_type=FAKE_LOCATION'
{
"error": {
"code": 400,
"message": "Bad usage: Invalid enum name \"FAKE_LOCATION\" for type `cloud.reliability.cloudlocationfinder.storage.CloudLocation.CloudLocationType`.",
"status": "INVALID_ARGUMENT",
"details": [
...
}
Untuk mengatasi masalah ini, tinjau pesan error. Untuk panduan tentang sintaks kueri dan sintaks yang dapat diterima, lihat referensi REST API.